Subject: Re: [PCN] Adaptive capacity systems

From: <[email-masked]>
Date: Thu, 16 Apr 2009 12:49:17 +0100

I read your paper. Your idea is interesting. 

I think it would work in a PCN context - it would mean that PCN's "configured rates" (threshold-rate & excess-traffic-rate) would be adjusted according to the current radio conditions. Note that PCN's virtual queue means that the real queue should suffer very low delay. On reflection, I'm not sure whether the edge behaviours would need to be changed (your paper is about RED adapting - wasn't sure if the application also adapted, I think not?). 

Best wishes
phil

{ -----Original Message-----
{ From: Eardley,PL,Philip,CXR9 R
{ Sent: 15 April 2009 10:26
{ To: 'Fausto Vieira'
{ Subject: RE: [PCN] Adaptive capacity systems
{ 
{ Hi fausto
{ 
{ The current charter of the WG is about standardising the metering/marking
{ behaviour on the interior nodes [http://tools.ietf.org/html/draft-ietf-
{ pcn-marking-behaviour   - comments appreciated as it's in WGLC]
{ & standardising baseline encoding + experimental encoding extensions
{ & examples of using this for admission control & flow termination.
{ 
{ Beyond that, after re-chartering, it would certainly be interesting to see
{ how to re-apply these functions for other uses (edge behaviours)
{ 
{ Best wishes
{ phil
{ 
{ { -----Original Message-----
{ { From: [email-masked] [mailto:[email-masked]] On Behalf Of
{ { Fausto Vieira
{ { Sent: 14 April 2009 16:46
{ { To: [email-masked]
{ { Subject: [PCN] Adaptive capacity systems
{ {
{ { Dear PCN group,
{ {
{ { I recently became aware of this WG and I found it very interesting since
{ { I was previously working in similar topics.
{ { I was trying to check if PCN covered adaptive capacity systems and was
{ { unable to find such reference.
{ { If you search for a paper I wrote named "Adaptive RED for Cross-layer
{ { DVB-S2 systems", you see that I address the problem of adaptive capacity
{ { systems that apply Adaptive Coding and Modulation (ACM) and/or Power
{ { Control to vary the capacity according to the channel conditions.
{ { Basically all advanced wireless systems employ such techniques, in order
{ { to maximize bandwidth and/or limit Packet Error Rate (PER).
{ { I believe that PCN would be a perfect tool for standardizing a solution
{ { for inelastic flows for adaptive capacity systems that have slow
{ { bandwidth variations (slow fading channel impairments). However, from
{ { what I could find out, this is not foreseen and only catastrophic
{ { bandwidth redutions are foreseen.
{ {
{ { Looking forward for your comments,
{ {
{ { Fausto
{ {
{ { --
{ { Fausto Vieira, PhD
{ { Instituto de Telecomunicações
{ { Faculdade de Engenharia da Universidade do Porto
{ { Rua Dr. Roberto Frias, s/n 4200-465 Porto PORTUGAL
{ {
{ { _______________________________________________
{ { PCN mailing list
{ { [email-masked]
{ { https://www.ietf.org/mailman/listinfo/pcn